Announcement

Collapse
No announcement yet.

Upgrade error in 5.1.5 beta 2

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Upgrade error in 5.1.5 beta 2

    Hi, I was upgrading from 4.2.4 to the latest version of vbulletin (5.4.4).
    Unfortunately for a connection problem I received an error in the 5.1.5 beta 2 update, at about 2.2M on over 4M of attachments.

    I redid the update "php -f upgrade.php" but it went directly to 5.1.5 Beta 3.

    What can I do?

    Is it possible to do this after the upgrade is finished?

    Thank you

    P.S. I'm a little panicked :|

  • #2
    An upgrade will always carry on where it left off if interrupted.

    Just run it again and let it carry on.
    MARK.B | vBULLETIN SUPPORT

    TalkNewsUK - My vBulletin 5.4.4 Demo
    AdminAmmo - My Cloud Demo

    Comment


    • #3
      Originally posted by Mark.B View Post
      An upgrade will always carry on where it left off if interrupted.

      Just run it again and let it carry on.
      Hi Mark.B, I've always seen in the past that upgrades were resuming from where they left off.
      Unfortunately in this case, halting the update 5.1.5 beta 2, when I restarted the update went directly to 5.1.5 beta 3.

      Now upgrade has been up to 5.4.4 skipping 5.1.5 beta 2.

      What should I do?

      Comment


      • #4
        Does the site work correctly?
        MARK.B | vBULLETIN SUPPORT

        TalkNewsUK - My vBulletin 5.4.4 Demo
        AdminAmmo - My Cloud Demo

        Comment


        • #5
          Originally posted by Mark.B View Post
          Does the site work correctly?
          Hi Mark.B, yes the site works properly.
          I read the php file of the upgrade 5.1.5 beta 2, and talk about patches to avoid exploits on attachments.
          Having halted the upgrade in half, there is a risk that at least 50% of the attachments have not been checked.

          Thx

          Comment


          • #6
            Please rerun the step for 5.1.5 Beta 2.

            Code:
            php upgrade.php --version=515b2 --only=1
            The -f shouldn't be needed with modern versions of PHP.
            Translations provided by Google.

            Wayne Luke
            The Rabid Badger - a vBulletin Cloud customization and demonstration site.
            vBulletin 5 Documentation - Updated every Friday. Report issues here.
            vBulletin 5 API - Full / Mobile
            I am not currently available for vB Messenger Chats.

            Comment


            • #7
              Originally posted by Wayne Luke View Post
              Please rerun the step for 5.1.5 Beta 2.

              Code:
              php upgrade.php --version=515b2 --only=1
              The -f shouldn't be needed with modern versions of PHP.
              Thanks Wayne Luke!
              Is there any way to start the upgrade from where it had stopped or should it start from the beginning?

              Can I start upgrading even with the active forum? or is it better to close it?

              Thank you!

              Comment


              • #8
                What the step does is check the file names of your attachments and encode them properly as needed. For the half that has been done, it shouldn't need to take any further action so it should process through them quickly and pick up where it left off.

                I recommend turning the forum off as well as preparing a complete backup before running any upgrade steps.
                Translations provided by Google.

                Wayne Luke
                The Rabid Badger - a vBulletin Cloud customization and demonstration site.
                vBulletin 5 Documentation - Updated every Friday. Report issues here.
                vBulletin 5 API - Full / Mobile
                I am not currently available for vB Messenger Chats.

                Comment

                Related Topics

                Collapse

                Working...
                X